Linux.com

Home Linux Community Forums Linux Distributions Debian iceweasel or epiphany web browser what do i add.

iceweasel or epiphany web browser what do i add.

Link to this post 16 Jan 12

HI, I'm having a lot of trouble getting Flash player 10 linux to install(iceweasel browser) on Debian squeese.(i386 32 bit is the ver. the adobe tell me to d/load) I cannot get it to kick in with synaptic ( that wants to use ver 1.and asks for the disk ) I have no install discs . So need to do it all over the net.. Via bash.. I have the package downloaded and can unzip it. How do I put it where it should be and how do I access it from bash (cd ??)so that I can apt-get install the player..
Im sure this problem has put many people off staying with Linux 6. I have been warned not to turn on backports ???
I have tried all the solutions on the majorgeeks thread . But I cannot get over the last hurdle.

Link to this post 16 Jan 12

electricdel,
Have you tried using "apt-get install flashplugin-nonfree" to get it from the debian repos and enabled the contrib repos to install the package at http://packages.debian.org/squeeze/flashplugin-nonfree ?

Link to this post 16 Jan 12

You may also try running (as root):

update-flashplugin-nonfree -iv

If you have flashplugin-nonfree installed, it may just update flash for you without an updated flashplugin-nonfree package. I use Sid, and, flash won't update without that command, even with a sid based flashplugin-nonfree installed. Try it and see what version it updates to.

Link to this post 18 Jan 12

http://packages.debian.org/squeeze/flashplugin-nonfree *** very helpful ...But there is still something unruly goin on.
Got some amazing updates though .. Many thanks***

update-flashplugin-nonfree -iv The hardship is the version on box is 1.xx.xx.3.(which dosen't work on most sites) ..What I need is flashplayer 10. It,s fetched off the net. Uncompressed /Bash for some reason cannot execute.
My command-line writing must be really flawed...

I really need to know this so I may be able to help the next guy ..

Link to this post 19 Jan 12

Have you tried running the command that goingeasy9 gave or have you checked the debian repos to see if there is an update available for the flash player?

Link to this post 19 Jan 12

If you running Debian, you don't want or need to take it off the net. You want to get it from the Debian repos. Please tell us if you tried (as root):

apt-get install flashplugin-nonfree

And tell us what happens. If you get no errors, it will have installed correctly. Then running:
update-flashplugin-nonfree -iv

Should update you to the lastest flash.

If you do get errors running apt-get update flashplugin-nonfree, let us know what the errors are and we'll take it from there. BTW - If you copy/paste the commands directly from the forum here into your terminal, it'll make things easier.

Who we are ?

The Linux Foundation is a non-profit consortium dedicated to the growth of Linux.

More About the foundation...

Frequent Questions

Join / Linux Training / Board